package com.zhiLian.business.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zhiLian.common.core.annotation.Excel;
import com.zhiLian.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业对象 business
 *
 * @author muyu
 * @date 2024-05-26
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("business")
public class Business extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 企业主键 */
    @Excel(name = "企业主键")
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String name;

    /** 企业法定代表人 */
    @Excel(name = "企业法定代表人")
    private String businessPerson;

    /** 营业编码 */
    @Excel(name = "营业编码")
    private String businessLincenseNumber;

    /** 企业创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "企业创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date businessCreateTime;

    /** 企业电话 */
    @Excel(name = "企业电话")
    private String businessPhone;

    /** 企业邮箱 */
    @Excel(name = "企业邮箱")
    private String businessEmail;

    /** 企业状态 */
    @Excel(name = "企业状态")
    private String businessStates;

    /** 入驻车联网平台时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入驻车联网平台时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date businessRegistrationDate;

    /** 服务等级0/1/2 */
    @Excel(name = "服务等级0/1/2")
    private String serviceLevel;

    /** 认证等级0/1 */
    @Excel(name = "认证等级0/1")
    private String authentication;

}
