package com.zhiLian.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiLian.business.domain.Business;

import java.util.List;

/**
 * 企业Service接口
 *
 * @author muyu
 * @date 2024-05-26
 */
public interface IBusinessService extends IService<Business>
{
    /**
     * 查询企业
     *
     * @param id 企业主键
     * @return 企业
     */
    public Business selectBusinessById(Long id);

    /**
     * 查询企业列表
     *
     * @param business 企业
     * @return 企业集合
     */
    public List<Business> selectBusinessList(Business business);

    /**
     * 新增企业
     *
     * @param business 企业
     * @return 结果
     */
    public int insertBusiness(Business business);

    /**
     * 修改企业
     *
     * @param business 企业
     * @return 结果
     */
    public int updateBusiness(Business business);

    /**
     * 批量删除企业
     *
     * @param ids 需要删除的企业主键集合
     * @return 结果
     */
    public int deleteBusinessByIds(Long[] ids);

    /**
     * 删除企业信息
     *
     * @param id 企业主键
     * @return 结果
     */
    public int deleteBusinessById(Long id);
}
