package com.zhiLian.business.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiLian.business.mapper.EntinfoMapper;
import com.zhiLian.business.service.IEntinfoService;
import com.zhiLian.common.business.domain.Entinfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 多数据源Service业务层处理
 *
 * @author muyu
 * @date 2024-06-06
 */
@Service
public class EntinfoServiceImpl extends ServiceImpl<EntinfoMapper, Entinfo>
        implements IEntinfoService
{
    @Autowired
    private EntinfoMapper entinfoMapper;

    /**
     * 查询多数据源
     *
     * @param id 多数据源主键
     * @return 多数据源
     */
    @Override
    public Entinfo selectEntinfoById(Long id)
    {
        return entinfoMapper.selectEntinfoById(id);
    }

    /**
     * 查询多数据源列表
     *
     * @param entinfo 多数据源
     * @return 多数据源
     */
    @Override
    public List<Entinfo> selectEntinfoList(Entinfo entinfo)
    {
        return entinfoMapper.selectEntinfoList(entinfo);
    }

    /**
     * 新增多数据源
     *
     * @param entinfo 多数据源
     * @return 结果
     */
    @Override
    public int insertEntinfo(Entinfo entinfo)
    {
        return entinfoMapper.insertEntinfo(entinfo);
    }

    /**
     * 修改多数据源
     *
     * @param entinfo 多数据源
     * @return 结果
     */
    @Override
    public int updateEntinfo(Entinfo entinfo)
    {
        return entinfoMapper.updateEntinfo(entinfo);
    }

    /**
     * 批量删除多数据源
     *
     * @param ids 需要删除的多数据源主键
     * @return 结果
     */
    @Override
    public int deleteEntinfoByIds(Long[] ids)
    {
        return entinfoMapper.deleteEntinfoByIds(ids);
    }

    /**
     * 删除多数据源信息
     *
     * @param id 多数据源主键
     * @return 结果
     */
    @Override
    public int deleteEntinfoById(Long id)
    {
        return entinfoMapper.deleteEntinfoById(id);
    }

    @Override
    public Entinfo selectEntinfo(Entinfo business) {
        return entinfoMapper.selectEntinfo(business);
    }
}
