package com.zhiLian.common.business.remote;

import com.zhiLian.common.business.domain.Entinfo;
import com.zhiLian.common.business.remote.factory.RemoteBusinessFallbackFactory;
import com.zhiLian.common.core.constant.ServiceNameConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * 用户服务
 *
 * @author zhiLian
 */
@FeignClient(contextId = "remoteBusinessService", value = ServiceNameConstants.SYSTEM_BUSINESS, fallbackFactory = RemoteBusinessFallbackFactory.class)
public interface RemoteBusinessService {


    @GetMapping("/entinfo/listAll")
    public List<Entinfo> listAll();
}
