package com.zhiLian.common.business.remote.factory;

import com.zhiLian.common.business.domain.Entinfo;
import com.zhiLian.common.business.remote.RemoteBusinessService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 用户服务降级处理
 *
 * @author zhiLian
 */
@Component
public class RemoteBusinessFallbackFactory implements FallbackFactory<RemoteBusinessService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteBusinessFallbackFactory.class);

    @Override
    public RemoteBusinessService create (Throwable throwable) {
        log.error("用户服务调用失败:{}", throwable.getMessage());
        return new RemoteBusinessService(){


            @Override
            public List<Entinfo> listAll() {
                return null;
            }
        };
    }
}
