package com.zhiLian.vehicle.controller;


import com.alibaba.fastjson2.JSON;
import com.zhiLian.common.core.domain.Result;
import com.zhiLian.common.core.web.controller.BaseController;
import com.zhiLian.common.core.web.page.TableDataInfo;
import com.zhiLian.common.log.annotation.Log;
import com.zhiLian.common.log.enums.BusinessType;
import com.zhiLian.common.redis.service.RedisService;
import com.zhiLian.vehicle.domain.Vehicle;
import com.zhiLian.vehicle.domain.VehicleInfo;
import com.zhiLian.vehicle.service.IVehicleService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * 车辆录入Controller
 *
 * @author BingRui.Hou
 * @date 2024-05-27
 */
@Log4j2
@RestController
@RequestMapping("/vehicleInfo")
public class VehicleInfoController extends BaseController
{
    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    @GetMapping("/list/{vin}")
    public Result vehicleInfoAllList(@PathVariable String vin){

        String lastElement = redisTemplate.opsForList().index(vin, -1);
        VehicleInfo vehicleInfo = JSON.parseObject(lastElement, VehicleInfo.class);
        return Result.success(vehicleInfo);
    }
}
