package com.zhiLian.vehicle.datasource.config;


import com.zhiLian.common.security.utils.SecurityUtils;
import com.zhiLian.common.system.domain.SysUser;
import com.zhiLian.common.system.remote.RemoteUserService;
import com.zhiLian.vehicle.datasource.config.holder.DynamicDataSourceHolder;
import org.aspectj.lang.annotation.After;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

/**
 *  BingRui.Hou
 * 数据源切面
 *
 */
@Aspect
@Component
public class DataSourceAsp {
    @Lazy
    @Autowired
    private RemoteUserService remoteUserService;

    @Pointcut("execution(public * com.zhiLian.vehicle.controller.*Controller.*(..))")
    public void pointcut () {
    }


    /**
     * 的每一個方法執行之前 執行的處理
     */
    @Before("pointcut()")
    public void beforeMethod() {
        Long storeId = SecurityUtils.getLoginUser().getUserid();
        SysUser sysUser = remoteUserService.selectByUserId(storeId);
        DynamicDataSourceHolder.setDynamicDataSourceKey("test_"+sysUser.getUserType());
    }
    /**
     * 的每一個方法執行之后 執行的處理
     * 无论正常还是异常终了
     * 不能接受到返回值
     */
    @After("pointcut()")
    public void afterMethod() {
        DynamicDataSourceHolder.removeDynamicDataSourceKey();
    }
}
