package com.zhiLian.vehicle.datasource.config.factory;


import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.pool.DruidPooledConnection;
import com.zhiLian.vehicle.datasource.domain.DataSourceInfo;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.sql.SQLException;

/**
 * BingRui.Hou
 *
 * @Description 描述
 * @ClassName DruidDataSourceFactory
 * @Date 2024/06/04 14:47
 */
@Log4j2
@Component
public class DruidDataSourceFactory {

    /**
     * @Description: 根据传递的数据源信息测试数据库连接
     * @Author Dongzl
     */
    public DruidDataSource create(DataSourceInfo dataSourceInfo) {
        DruidDataSource druidDataSource = new DruidDataSource();
        druidDataSource.setUrl(dataSourceInfo.getUrl());
        druidDataSource.setUsername(dataSourceInfo.getUserName());
        druidDataSource.setPassword(dataSourceInfo.getPassword());
        druidDataSource.setBreakAfterAcquireFailure(true);
        druidDataSource.setConnectionErrorRetryAttempts(0);
        druidDataSource.setInitialSize(5);
        druidDataSource.setMaxActive(15);
        log.info("{} -> 数据源连接成功", dataSourceInfo);
        return druidDataSource;
    }
}
