package com.zhiLian.vehicle.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
  * 车辆信息
  * @author YunFei.Du
  * @date  9:03 2024/6/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleInfo {
    /**
     * VIN
     */
    private String vin;
    private Long startTime;

    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 速度
     */
    private String speed;
    /**
     * 里程
     */
    private String mileage;
    /**
     * 总电压
     */
    private String voltage;
    /**
     * 总电流
     */
    private String current;
    /**
     * 绝缘电阻
     */
    private String resistance;

    private String gear;
    /**
     * 档位
     */
    private String accelerationPedal;
    /**
     * 制动踏板行程值
     */
    private String brakePedal;
    /**
     * 燃料消耗率
     */
    private String fuelConsumptionRate;
    /**
     * 电机控制器温度
     */
    private String motorControllerTemperature;
    /**
     * 电机转速
     */
    private String motorSpeed;
    /**
     * 电机转矩
     */
    private String motorTorque;
    /**
     * 电机温度
     */
    private String motorTemperature;
    /**
     * 电机电压
     */
    private String motorVoltage;
    /**
     * 电机电流
     */
    private String motorCurrent;
    /**
     * 电池总容量
     */
    private String remainingBattery;
    /**
     * 当前状态允许的最大反馈功率
     */
    private String maximumFeedbackPower;
    /**
     * 当前状态允许最大放电功率
     */
    private String maximumDischargePower;
    /**
     * BMS自检计数器
     */
    private String selfCheckCounter;
    /**
     * 动力电池充放电电流
     */
    private String totalBatteryCurrent;
    /**
     * 动力电池负载端总电压V3
     */
    private String totalBatteryVoltage;
    /**
     * 单次最大电压
     */
    private String singleBatteryMaxVoltage;
    /**
     * 单体电池最低电压
     */
    private String singleBatteryMinVoltage;
    /**
     * 单体电池最高温度
     */
    private String singleBatteryMaxTemperature;
    /**
     * 单体电池最低温度
     */
    private String singleBatteryMinTemperature;
    /**
     * 动力电池可用容量
     */
    private String availableBatteryCapacity;
    /**
     * 车辆状态
     */
    private String vehicleStatus;
    /**
     * 充电状态
     */
    private String chargingStatus;
    /**
     * 运行状态
     */
    private String operatingStatus;
    /**
     * SOC
     */
    private String socStatus;
    /**
     * 可充电储能装置工作状态
     */
    private String chargingEnergyStorageStatus;
    /**
     * 驱动电机状态
     */
    private String driveMotorStatus;
    /**
     * 定位是否有效
     */
    private String positionStatus;
    /**
     * EAS(汽车防盗系统)状态
     */
    private String easStatus;
    /**
     * PTC(电动加热器)状态
     */
    private String ptcStatus;
    /**
     * EPS(电动助力系统)状态
     */
    private String epsStatus;
    /**
     * ABS(防抱死)状态
     */
    private String absStatus;
    /**
     * MCU(电机/逆变器)状态
     */
    private String mcuStatus;
    /**
     * 动力电池加热状态
     */
    private String heatingStatus;
    /**
     * 动力电池当前状态
     */
    private String batteryStatus;
    /**
     * 动力电池保温状态
     */
    private String batteryInsulationStatus;
    /**
     * DCDC(电力交换系统)状态
     */
    private String dcdcStatus;
    /**
     * CHG(充电机)状态
     */
    private String chgStatus;
}
